Skip to main content
GET
/
whatsapp
/
conversations
List conversations
curl --request GET \
  --url https://api.kapso.ai/platform/v1/whatsapp/conversations \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "c63ced48-1283-4d55-8c8d-930f525aa0e5",
      "phone_number": "14155550123",
      "status": "active",
      "last_active_at": "2025-07-16T09:45:00Z",
      "created_at": "2025-06-01T12:00:00Z",
      "updated_at": "2025-07-16T09:45:00Z",
      "metadata": {},
      "phone_number_id": "1234567890",
      "kapso": {
        "contact_name": "Alicia",
        "messages_count": 42,
        "last_message_id": "wamid.HBgMMTIzNDU2",
        "last_message_type": "text",
        "last_message_timestamp": "2025-07-16T09:40:00Z",
        "last_message_text": "Thanks!",
        "last_inbound_at": "2025-07-16T09:35:10Z",
        "last_outbound_at": "2025-07-16T09:40:00Z"
      }
    }
  ],
  "paging": {
    "cursors": {
      "before": "eyJ2YWx1ZXMiOlsiMjAyNi0wNS0xNVQxMzowNTowMC4wMDAwMDBaIiwiYzYzY2VkNDgtMTI4My00ZDU1LThjOGQtOTMwZjUyNWFhMGU1Il0sImNvbHVtbnMiOlsibGFzdF9hY3RpdmVfYXQiLCJpZCJdfQ==",
      "after": "eyJ2YWx1ZXMiOlsiMjAyNi0wNS0xNVQxMjowNTowMC4wMDAwMDBaIiwiYzYzY2VkNDgtMTI4My00ZDU1LThjOGQtOTMwZjUyNWFhMGU1Il0sImNvbHVtbnMiOlsibGFzdF9hY3RpdmVfYXQiLCJpZCJdfQ=="
    },
    "next": null,
    "previous": null
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

phone_number_id
string

Filter by WhatsApp phone number ID

phone_number
string

Filter by contact phone number (partial match)

status
enum<string>

Filter by conversation status

Available options:
active,
ended
assigned_user_id
string<uuid>

Filter by active assignee user ID (must be a project member)

unassigned
boolean

Filter conversations with no active assignment. Cannot be combined with assigned_user_id.

created_after
string<date-time>

Filter conversations created after this timestamp

created_before
string<date-time>

Filter conversations created before this timestamp

last_active_after
string<date-time>

Filter conversations active after this timestamp

last_active_before
string<date-time>

Filter conversations active before this timestamp

limit
integer
default:20

Maximum number of results per cursor-paginated page (default 20, max 100).

Required range: 1 <= x <= 100
before
string

Cursor for the previous page (Base64 encoded).

after
string

Cursor for the next page (Base64 encoded).

Response

List of conversations

data
object[]
required
paging
object
required